xmltooling 3.0.4

Classes | Public Member Functions | List of all members
xmltooling::PathValidator Class Referenceabstract

Plugin interface to certificate path validation, independent of context. More...

`#include <xmltooling/security/PathValidator.h>`

Inheritance diagram for xmltooling::PathValidator:
[legend]

## Classes
class | PathValidatorParams
| Marker interface for plugin-specific parameters into the validation process. More...

## Public Member Functions
virtual bool | validate (XSECCryptoX509 *certEE, const std::vector< XSECCryptoX509 * > &certChain, const PathValidatorParams &params) const =0
| Validates an end-entity certificate. More...

## Detailed Description

Plugin interface to certificate path validation, independent of context.

This interface assumes that the end-entity certificate is "correctly" bound to a party, and solely addresses the validity of that certificate.

## Member Function Documentation

## ◆ validate()

virtual bool xmltooling::PathValidator::validate | ( | XSECCryptoX509 * | certEE,
|  | const std::vector< XSECCryptoX509 * > & | certChain,
|  | const PathValidatorParams & | params
| ) |  | const
| pure virtual

Validates an end-entity certificate.

Parameters

  certEE | end-entity certificate
  certChain | the complete untrusted certificate chain
  params | plugin-specific parameters to the validation process

Returns
  true iff validaton succeeds

The documentation for this class was generated from the following file:

- xmltooling/security/PathValidator.h